Summary: e-smith server and gateway
Name: e-smith
%define version 4.2.0
%define release 06
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
#Patch0: %{name}-%{version}.patch.yyyymmddnn
Packager: e-smith developers <bugs@e-smith.com>
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
#Requires: shadow-utils
AutoReqProv: no

%changelog
* Fri Aug 17 2001 gordonr
- [4.2.0-06]
- Autorebuild by rebuildRPM

* Fri Jul 27 2001 Charlie Brady <charlieb@e-smith.com>
- [4.2.0-05]
- Put defattr directive in the right spot.

* Fri Jul 6 2001 Peter Samuel <peters@e-smith.com>
- [4.2.0-04]
- Including GPL license with package

* Fri May 04 2001 Jason Miller <jmiller@e-smith.com>
- [4.2.0-03]
- Commenting out the harmful 'useradd' part of %pre section 

* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- [4.2.0-02]
- Rolling release number for GPG signing.

* Thu Jan 25 2001 Peter Samuel <peters@e-smith.com>
- [4.2.0-01]
- Rolled version to 4.2.0 to indicate a stable release. Includes patches
  upto 4.1.0-1

* Wed Dec  6 2000 Adrian Chung <adrianc@e-smith.com>
- Branched for 4.1 release to 4.1.0

* Mon Oct 16 2000 Charlie Brady <charlieb@e-smith.com>
- Need to add www user before trying to add admin user to 
  group www.

* Mon Oct 16 2000 Charlie Brady <charlieb@e-smith.com>
- Add %pre clause to add admin, www etc.

%description
e-smith server and gateway software. This is an empty
RPM provided so that upgrading e-smith 3.x -> e-smith 4.x
can work. Contents are now included in e-smith-base RPM.

%prep
%setup
#%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT

%pre
#--------------------------------------------------
# add admin, public and www user accounts
#--------------------------------------------------
#grep '^shared:' /etc/group > /dev/null || \
#  /usr/sbin/groupadd shared
#grep '^www:' /etc/passwd > /dev/null || \
#  /usr/sbin/useradd -r -c 'e-smith web server' -d /home/e-smith -G shared -M -s /bin/false www
#grep '^admin:' /etc/passwd > /dev/null || \
#  /usr/sbin/useradd -r -c 'e-smith administrator' -d /home/e-smith -G shared,root,www -M -s /sbin/e-smith/console admin
#grep '^public:' /etc/passwd > /dev/null || \
#  /usr/sbin/useradd -r -c 'e-smith guest' -d /home/e-smith -G shared -M -s /bin/false public

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
